KausateKausate Docs
Webhooks
Viewing API version 2026-05-01. View the latest version.

Get Webhook

Get a specific webhook

GET
/v2/webhooks/{webhookId}
X-API-Key<token>

Sign up at Kausate.com to get an API key

In: header

Path Parameters

webhookId*string
Formatuuid

Header Parameters

Kausate-Version?string
Default"2026-05-01"
Formatdate

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.kausate.com/v2/webhooks/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Kausate-Version: 2026-05-01"
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "name": "string",
  "description": "string",
  "url": "string",
  "apiVersion": "string",
  "status": "active",
  "orgId": "string",
  "customerId": "string",
  "customHeaders": {
    "property1": "string",
    "property2": "string"
  },
  "signingSecret": "string",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}
{
  "detail": "Not authenticated",
  "code": "auth.unauthorized",
  "request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}
{
  "detail": "Invalid API key",
  "code": "auth.forbidden",
  "request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}
{
  "detail": [
    {
      "loc": [
        "body",
        "jurisdictionCode"
      ],
      "msg": "Field required",
      "type": "missing"
    }
  ],
  "code": "request.invalid",
  "request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}
{
  "detail": "An internal error occurred",
  "code": "internal.unexpected",
  "request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}

Last updated on